Details of support for IBM i 6.1

Date:27 March 2008
Updated:21 July 2008
Product/Release:LANSA on iSeries
Abstract:Support for IBM i 6.1
Submitted By:LANSA Technical Support

Update:

Customers wishing to use LANSA with IBM i 6.1 must use Version 11 Service Pack 5.

Description:

With this release, IBM requires conversion of all programs created under previous releases that use the IBM i Machine Interface (MI). In order for a program to be converted, its creation data (sometimes referred to as observability) must be available.

All programs created for OS/400 V5R1 or later have their creation data automatically saved during program creation.

Programs created for releases V4R5M0 and earlier can be converted unless their creation data has been completely removed. Programs that cannot be converted must be recompiled from source.

Refer to www-03.ibm.com/systems/i/advantages/v6r1/conversion.html for further information regarding conversion.

Note: You do not have to be on IBM i 6.1 to install LANSA Version 11 Service Pack 5 as it can be installed (or upgraded) on any supported Operating System version in preparation for a future install/upgrade to IBM i 6.1.